//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//
//
// $Id: G4PlacementVector.hh,v 1.7 2006-06-29 18:40:04 gunter Exp $
// GEANT4 tag $Name: geant4-09-04-patch-02 $
//
// ----------------------------------------------------------------------
// Class G4PlacementVector
//
// Class description:
//
// A ordered collection of pointers to placement axes
// (G4Axis2Placement3D) in the 3D space.

// Authors: J.Sulkimo, P.Urban.
// ----------------------------------------------------------------------
#ifndef included_G4PlacementVector
#define included_G4PlacementVector

#include <vector>
#include "G4Axis2Placement3D.hh"

typedef std::vector<G4Axis2Placement3D*> G4PlacementVector;

#endif
